Index: /code/branches/ppspickups1/data/levels/includes/pickups_speed.oxi
===================================================================
--- /code/branches/ppspickups1/data/levels/includes/pickups_speed.oxi	(revision 6552)
+++ /code/branches/ppspickups1/data/levels/includes/pickups_speed.oxi	(revision 6552)
@@ -0,0 +1,18 @@
+<PickupRepresentation
+    name="SpeedBoost"
+    description="Speeds up the Ship for a certain time."
+    spawnerTemplate="speedboostpickuprepresentation"
+>
+    <pickup>
+        <SpeedPickup template="speedboostpickup" />
+    </pickup>
+</PickupRepresentation>
+<PickupRepresentation
+    name="SpeedBoost"
+    description="Speeds up the Ship for a certain time."
+    spawnerTemplate="speedboostpickuprepresentation"
+>
+    <pickup>
+        <SpeedPickup template="speedboostpickup" />
+    </pickup>
+</PickupRepresentation>
Index: /code/branches/ppspickups1/data/levels/pickup_ppstest.oxw
===================================================================
--- /code/branches/ppspickups1/data/levels/pickup_ppstest.oxw	(revision 6552)
+++ /code/branches/ppspickups1/data/levels/pickup_ppstest.oxw	(revision 6552)
@@ -0,0 +1,64 @@
+<?lua
+  include("stats.oxo")
+  include("hudtemplates3.oxo")
+
+  include("templates/spaceship_assff.oxt")
+  include("templates/spaceship_pirate.oxt")
+  -- include("templates/pickup_representation_templates_speed.oxt")
+?>
+
+<Level
+ name         = "SpeedPickupTest"
+ description  = "Test for the new Speed Pickup"
+>
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+  >
+
+<?lua
+  include("includes/pickups_speed.oxi")
+?>
+<!--
+    <PickupSpawner position="-100,0,-100" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
+        <pickup>
+            <SpeedPickup template="speedboostpickup" />
+        </pickup>
+    </PickupSpawner>
+-->
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+    <SpawnPoint position="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+  </Scene>
+</Level>
+<?lua
+  include("stats.oxo")
+  include("hudtemplates3.oxo")
+
+  include("templates/spaceship_assff.oxt")
+  include("templates/spaceship_pirate.oxt")
+  -- include("templates/pickup_representation_templates_speed.oxt")
+?>
+
+<Level
+ name         = "SpeedPickupTest"
+ description  = "Test for the new Speed Pickup"
+>
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+  >
+
+<?lua
+  include("includes/pickups_speed.oxi")
+?>
+<!--
+    <PickupSpawner position="-100,0,-100" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
+        <pickup>
+            <SpeedPickup template="speedboostpickup" />
+        </pickup>
+    </PickupSpawner>
+-->
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+    <SpawnPoint position="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+  </Scene>
+</Level>
Index: /code/branches/ppspickups1/data/levels/templates/pickup_representation_templates_speed.oxt
===================================================================
--- /code/branches/ppspickups1/data/levels/templates/pickup_representation_templates_speed.oxt	(revision 6552)
+++ /code/branches/ppspickups1/data/levels/templates/pickup_representation_templates_speed.oxt	(revision 6552)
@@ -0,0 +1,50 @@
+<Template name=speedboostpickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="1,0,0" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0,1,0" material="Cross" scale=1 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name="speedboostpickup">
+  <SpeedPickup
+    speedAddition = "0"
+    speedMultiplier = "2"
+    duration = "10"
+    activationType = "immediate"
+    durationType = "once"
+  />
+</Template>
+<Template name=speedboostpickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="1,0,0" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0,1,0" material="Cross" scale=1 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name="speedboostpickup">
+  <SpeedPickup
+    speedAddition = "0"
+    speedMultiplier = "2"
+    duration = "10"
+    activationType = "immediate"
+    durationType = "once"
+  />
+</Template>
Index: /code/branches/ppspickups1/src/modules/pickup/items/CMakeLists.txt
===================================================================
--- /code/branches/ppspickups1/src/modules/pickup/items/CMakeLists.txt	(revision 6551)
+++ /code/branches/ppspickups1/src/modules/pickup/items/CMakeLists.txt	(revision 6552)
@@ -1,4 +1,8 @@
 ADD_SOURCE_FILES(PICKUP_SRC_FILES
+
   HealthPickup.cc
+
+  SpeedPickup.cc
   MetaPickup.cc
+
 )
Index: /code/branches/ppspickups1/src/modules/pickup/items/SpeedPickup.cc
===================================================================
--- /code/branches/ppspickups1/src/modules/pickup/items/SpeedPickup.cc	(revision 6552)
+++ /code/branches/ppspickups1/src/modules/pickup/items/SpeedPickup.cc	(revision 6552)
@@ -0,0 +1,56 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Damian 'Mozork' Frick
+ *   Co-authors:
+ *      ...
+ *
+ *   TODO: Implement...
+ */
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Damian 'Mozork' Frick
+ *   Co-authors:
+ *      ...
+ *
+ *   TODO: Implement...
+ */
Index: /code/branches/ppspickups1/src/modules/pickup/items/SpeedPickup.h
===================================================================
--- /code/branches/ppspickups1/src/modules/pickup/items/SpeedPickup.h	(revision 6552)
+++ /code/branches/ppspickups1/src/modules/pickup/items/SpeedPickup.h	(revision 6552)
@@ -0,0 +1,56 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Damian 'Mozork' Frick
+ *   Co-authors:
+ *      ...
+ *
+ *   TODO: Implement...
+ */
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Damian 'Mozork' Frick
+ *   Co-authors:
+ *      ...
+ *
+ *   TODO: Implement...
+ */
